Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
no keyboard, no mouse --> evdev problem (solved)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
Spanik
Guru
Guru


Joined: 12 Dec 2003
Posts: 515
Location: Belgium

PostPosted: Tue Jan 03, 2012 7:11 pm    Post subject: no keyboard, no mouse --> evdev problem (solved) Reply with quote

After an "emerge update world" I dont have a keyboard or mouse under X11. Screen looks nice, so graphics is OK. Xorg.0.log gives:

Code:
[  2314.518]
X.Org X Server 1.11.2
Release Date: 2011-11-04
[  2314.521] X Protocol Version 11, Revision 0
[  2314.523] Build Operating System: Linux 2.6.36-gentoo-r5 x86_64 Gentoo
[  2314.524] Current Operating System: Linux daw 2.6.36-gentoo-r5 #2 SMP PREEMPT Thu Dec 29 17:01:09 CET 2011 x86_64
[  2314.526] Kernel command line: root=/dev/sdc3
[  2314.528] Build Date: 28 December 2011  12:12:42PM
[  2314.530] 
[  2314.532] Current version of pixman: 0.24.0
[  2314.534]    Before reporting problems, check http://wiki.x.org
   to make sure that you have the latest version.
[  2314.537] Markers: (--) probed, (**) from config file, (==) default setting,
   (++) from command line, (!!) notice, (II) informational,
   (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  2314.543] (==) Log file: "/var/log/Xorg.0.log", Time: Thu Dec 29 19:45:05 2011
[  2314.545] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[  2314.547] (==) No Layout section.  Using the first Screen section.
[  2314.547] (==) No screen section available. Using defaults.
[  2314.547] (**) |-->Screen "Default Screen Section" (0)
[  2314.547] (**) |   |-->Monitor "<default monitor>"
[  2314.548] (==) No monitor specified for screen "Default Screen Section".
   Using a default monitor configuration.
[  2314.548] (==) Automatically adding devices
[  2314.548] (==) Automatically enabling devices
[  2314.549] (WW) The directory "/usr/share/fonts/TTF/" does not exist.
[  2314.549]    Entry deleted from font path.
[  2314.549] (WW) The directory "/usr/share/fonts/OTF/" does not exist.
[  2314.549]    Entry deleted from font path.
[  2314.549] (WW) The directory "/usr/share/fonts/Type1/" does not exist.
[  2314.549]    Entry deleted from font path.
[  2314.549] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/100dpi/".
[  2314.549]    Entry deleted from font path.
[  2314.549]    (Run 'mkfontdir' on "/usr/share/fonts/100dpi/").
[  2314.549] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/75dpi/".
[  2314.549]    Entry deleted from font path.
[  2314.549]    (Run 'mkfontdir' on "/usr/share/fonts/75dpi/").
[  2314.549] (==) FontPath set to:
   /usr/share/fonts/misc/
[  2314.549] (==) ModulePath set to "/usr/lib64/xorg/modules"
[  2314.549] (II) The server relies on udev to provide the list of input devices.
   If no devices become available, reconfigure udev or disable AutoAddDevices.
[  2314.549] (II) Loader magic: 0x7c0ac0
[  2314.549] (II) Module ABI versions:
[  2314.549]    X.Org ANSI C Emulation: 0.4
[  2314.549]    X.Org Video Driver: 11.0
[  2314.549]    X.Org XInput driver : 13.0
[  2314.549]    X.Org Server Extension : 6.0
[  2314.550] (--) PCI:*(0:2:0:0) 10de:0161:0000:0000 rev 161, Mem @ 0xb2000000/16777216, 0xc0000000/268435456, 0xb1000000/16777216
[  2314.550] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
[  2314.550] (II) LoadModule: "extmod"
[  2314.552] (II) Loading /usr/lib64/xorg/modules/extensions/libextmod.so
[  2314.553] (II) Module extmod: vendor="X.Org Foundation"
[  2314.553]    compiled for 1.11.2, module version = 1.0.0
[  2314.553]    Module class: X.Org Server Extension
[  2314.553]    ABI class: X.Org Server Extension, version 6.0
[  2314.553] (II) Loading extension MIT-SCREEN-SAVER
[  2314.553] (II) Loading extension XFree86-VidModeExtension
[  2314.553] (II) Loading extension XFree86-DGA
[  2314.553] (II) Loading extension DPMS
[  2314.553] (II) Loading extension XVideo
[  2314.553] (II) Loading extension XVideo-MotionCompensation
[  2314.553] (II) Loading extension X-Resource
[  2314.553] (II) LoadModule: "dbe"
[  2314.554] (II) Loading /usr/lib64/xorg/modules/extensions/libdbe.so
[  2314.554] (II) Module dbe: vendor="X.Org Foundation"
[  2314.554]    compiled for 1.11.2, module version = 1.0.0
[  2314.554]    Module class: X.Org Server Extension
[  2314.554]    ABI class: X.Org Server Extension, version 6.0
[  2314.554] (II) Loading extension DOUBLE-BUFFER
[  2314.554] (II) LoadModule: "glx"
[  2314.555] (II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
[  2314.557] (II) Module glx: vendor="X.Org Foundation"
[  2314.557]    compiled for 1.11.2, module version = 1.0.0
[  2314.557]    ABI class: X.Org Server Extension, version 6.0
[  2314.557] (==) AIGLX enabled
[  2314.557] (II) Loading extension GLX
[  2314.558] (II) LoadModule: "record"
[  2314.558] (II) Loading /usr/lib64/xorg/modules/extensions/librecord.so
[  2314.559] (II) Module record: vendor="X.Org Foundation"
[  2314.559]    compiled for 1.11.2, module version = 1.13.0
[  2314.559]    Module class: X.Org Server Extension
[  2314.559]    ABI class: X.Org Server Extension, version 6.0
[  2314.559] (II) Loading extension RECORD
[  2314.559] (II) LoadModule: "dri"
[  2314.559] (II) Loading /usr/lib64/xorg/modules/extensions/libdri.so
[  2314.561] (II) Module dri: vendor="X.Org Foundation"
[  2314.561]    compiled for 1.11.2, module version = 1.0.0
[  2314.561]    ABI class: X.Org Server Extension, version 6.0
[  2314.561] (II) Loading extension XFree86-DRI
[  2314.561] (II) LoadModule: "dri2"
[  2314.561] (II) Loading /usr/lib64/xorg/modules/extensions/libdri2.so
[  2314.562] (II) Module dri2: vendor="X.Org Foundation"
[  2314.562]    compiled for 1.11.2, module version = 1.2.0
[  2314.562]    ABI class: X.Org Server Extension, version 6.0
[  2314.562] (II) Loading extension DRI2
[  2314.562] (==) Matched nouveau as autoconfigured driver 0
[  2314.562] (==) Matched vesa as autoconfigured driver 1
[  2314.562] (==) Matched fbdev as autoconfigured driver 2
[  2314.562] (==) Assigned the driver to the xf86ConfigLayout
[  2314.562] (II) LoadModule: "nouveau"
[  2314.562] (II) Loading /usr/lib64/xorg/modules/drivers/nouveau_drv.so
[  2314.564] (II) Module nouveau: vendor="X.Org Foundation"
[  2314.564]    compiled for 1.11.2, module version = 0.0.16
[  2314.564]    Module class: X.Org Video Driver
[  2314.564]    ABI class: X.Org Video Driver, version 11.0
[  2314.564] (II) LoadModule: "vesa"
[  2314.565] (WW) Warning, couldn't open module vesa
[  2314.565] (II) UnloadModule: "vesa"
[  2314.565] (II) Unloading vesa
[  2314.565] (EE) Failed to load module "vesa" (module does not exist, 0)
[  2314.565] (II) LoadModule: "fbdev"
[  2314.565] (WW) Warning, couldn't open module fbdev
[  2314.565] (II) UnloadModule: "fbdev"
[  2314.565] (II) Unloading fbdev
[  2314.565] (EE) Failed to load module "fbdev" (module does not exist, 0)
[  2314.566] (II) NOUVEAU driver
[  2314.566] (II) NOUVEAU driver for NVIDIA chipset families :
[  2314.566]    RIVA TNT        (NV04)
[  2314.566]    RIVA TNT2       (NV05)
[  2314.566]    GeForce 256     (NV10)
[  2314.566]    GeForce 2       (NV11, NV15)
[  2314.566]    GeForce 4MX     (NV17, NV18)
[  2314.566]    GeForce 3       (NV20)
[  2314.566]    GeForce 4Ti     (NV25, NV28)
[  2314.566]    GeForce FX      (NV3x)
[  2314.566]    GeForce 6       (NV4x)
[  2314.566]    GeForce 7       (G7x)
[  2314.566]    GeForce 8       (G8x)
[  2314.566]    GeForce GTX 200 (NVA0)
[  2314.566]    GeForce GTX 400 (NVC0)
[  2314.567] (--) using VT number 7

[  2314.577] drmOpenDevice: node name is /dev/dri/card0
[  2314.577] drmOpenDevice: open result is 7, (OK)
[  2314.577] drmOpenByBusid: Searching for BusID pci:0000:02:00.0
[  2314.577] drmOpenDevice: node name is /dev/dri/card0
[  2314.577] drmOpenDevice: open result is 7, (OK)
[  2314.577] drmOpenByBusid: drmOpenMinor returns 7
[  2314.577] drmOpenByBusid: drmGetBusid reports pci:0000:02:00.0
[  2314.577] (II) [drm] nouveau interface version: 0.0.16
[  2314.577] (II) Loading /usr/lib64/xorg/modules/drivers/nouveau_drv.so
[  2314.577] (II) Loading sub module "dri"
[  2314.577] (II) LoadModule: "dri"
[  2314.578] (II) Loading /usr/lib64/xorg/modules/extensions/libdri.so
[  2314.578] (II) Module dri: vendor="X.Org Foundation"
[  2314.578]    compiled for 1.11.2, module version = 1.0.0
[  2314.578]    ABI class: X.Org Server Extension, version 6.0
[  2314.578] (II) NOUVEAU(0): Loaded DRI module
[  2314.578] drmOpenDevice: node name is /dev/dri/card0
[  2314.578] drmOpenDevice: open result is 8, (OK)
[  2314.578] drmOpenDevice: node name is /dev/dri/card0
[  2314.578] drmOpenDevice: open result is 8, (OK)
[  2314.578] drmOpenByBusid: Searching for BusID pci:0000:02:00.0
[  2314.578] drmOpenDevice: node name is /dev/dri/card0
[  2314.578] drmOpenDevice: open result is 8, (OK)
[  2314.578] drmOpenByBusid: drmOpenMinor returns 8
[  2314.578] drmOpenByBusid: drmGetBusid reports pci:0000:02:00.0
[  2314.578] (II) [drm] DRM interface version 1.4
[  2314.578] (II) [drm] DRM open master succeeded.
[  2314.578] (--) NOUVEAU(0): Chipset: "NVIDIA NV44"
[  2314.578] (II) NOUVEAU(0): Creating default Display subsection in Screen section
   "Default Screen Section" for depth/fbbpp 24/32
[  2314.578] (==) NOUVEAU(0): Depth 24, (--) framebuffer bpp 32
[  2314.578] (==) NOUVEAU(0): RGB weight 888
[  2314.578] (==) NOUVEAU(0): Default visual is TrueColor
[  2314.578] (==) NOUVEAU(0): Using HW cursor
[  2314.578] (==) NOUVEAU(0): GLX sync to VBlank disabled.
[  2314.578] (==) NOUVEAU(0): Page flipping disabled: no kernel support
[  2314.611] (II) NOUVEAU(0): Output VGA-1 has no monitor section
[  2314.718] (II) NOUVEAU(0): Output DVI-I-1 has no monitor section
[  2314.744] (II) NOUVEAU(0): Output TV-1 has no monitor section
[  2314.776] (II) NOUVEAU(0): EDID for output VGA-1
[  2314.883] (II) NOUVEAU(0): EDID for output DVI-I-1
[  2314.883] (II) NOUVEAU(0): Manufacturer: DEL  Model: a030  Serial#: 809776211
[  2314.883] (II) NOUVEAU(0): Year: 2009  Week: 14
[  2314.883] (II) NOUVEAU(0): EDID Version: 1.3
[  2314.883] (II) NOUVEAU(0): Digital Display Input
[  2314.883] (II) NOUVEAU(0): Max Image Size [cm]: horiz.: 58  vert.: 36
[  2314.883] (II) NOUVEAU(0): Gamma: 2.20
[  2314.883] (II) NOUVEAU(0): DPMS capabilities: StandBy Suspend Off
[  2314.883] (II) NOUVEAU(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4
[  2314.883] (II) NOUVEAU(0): First detailed timing is preferred mode
[  2314.883] (II) NOUVEAU(0): redX: 0.675 redY: 0.318   greenX: 0.189 greenY: 0.704
[  2314.883] (II) NOUVEAU(0): blueX: 0.147 blueY: 0.069   whiteX: 0.313 whiteY: 0.329
[  2314.883] (II) NOUVEAU(0): Supported established timings:
[  2314.883] (II) NOUVEAU(0): 720x400@70Hz
[  2314.883] (II) NOUVEAU(0): 640x480@60Hz
[  2314.883] (II) NOUVEAU(0): 640x480@75Hz
[  2314.883] (II) NOUVEAU(0): 800x600@60Hz
[  2314.883] (II) NOUVEAU(0): 800x600@75Hz
[  2314.883] (II) NOUVEAU(0): 1024x768@60Hz
[  2314.883] (II) NOUVEAU(0): 1024x768@75Hz
[  2314.883] (II) NOUVEAU(0): 1280x1024@75Hz
[  2314.883] (II) NOUVEAU(0): Manufacturer's mask: 0
[  2314.883] (II) NOUVEAU(0): Supported standard timings:
[  2314.883] (II) NOUVEAU(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
[  2314.883] (II) NOUVEAU(0): #1: hsize: 1600  vsize 1200  refresh: 60  vid: 16553
[  2314.883] (II) NOUVEAU(0): #2: hsize: 1152  vsize 864  refresh: 75  vid: 20337
[  2314.883] (II) NOUVEAU(0): #3: hsize: 1680  vsize 1050  refresh: 60  vid: 179
[  2314.883] (II) NOUVEAU(0): Supported detailed timing:
[  2314.884] (II) NOUVEAU(0): clock: 154.0 MHz   Image Size:  582 x 364 mm
[  2314.884] (II) NOUVEAU(0): h_active: 1920  h_sync: 1968  h_sync_end 2000 h_blank_end 2080 h_border: 0
[  2314.884] (II) NOUVEAU(0): v_active: 1200  v_sync: 1203  v_sync_end 1209 v_blanking: 1235 v_border: 0
[  2314.884] (II) NOUVEAU(0): Serial No: TR07093V0D4S
[  2314.884] (II) NOUVEAU(0): Monitor name: DELL 2709W
[  2314.884] (II) NOUVEAU(0): Ranges: V min: 56 V max: 76 Hz, H min: 30 H max: 83 kHz, PixClock max 175 MHz
[  2314.884] (II) NOUVEAU(0): EDID (in hex):
[  2314.884] (II) NOUVEAU(0):    00ffffffffffff0010ac30a053344430
[  2314.884] (II) NOUVEAU(0):    0e130103803a2478eae9f5ac5130b425
[  2314.884] (II) NOUVEAU(0):    115054a54b008180a940714fb3000101
[  2314.884] (II) NOUVEAU(0):    010101010101283c80a070b023403020
[  2314.884] (II) NOUVEAU(0):    3600466c2100001a000000ff00545230
[  2314.884] (II) NOUVEAU(0):    3730393356304434530a000000fc0044
[  2314.884] (II) NOUVEAU(0):    454c4c2032373039570a2020000000fd
[  2314.884] (II) NOUVEAU(0):    00384c1e5311000a2020202020200032
[  2314.884] (II) NOUVEAU(0): Printing probed modes for output DVI-I-1
[  2314.884] (II) NOUVEAU(0): Modeline "1920x1200"x60.0  154.00  1920 1968 2000 2080  1200 1203 1209 1235 +hsync -vsync (74.0 kHz)
[  2314.884] (II) NOUVEAU(0): Modeline "1600x1200"x60.0  162.00  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync (75.0 kHz)
[  2314.884] (II) NOUVEAU(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
[  2314.884] (II) NOUVEAU(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
[  2314.884] (II) NOUVEAU(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[  2314.884] (II) NOUVEAU(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[  2314.884] (II) NOUVEAU(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
[  2314.884] (II) NOUVEAU(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[  2314.884] (II) NOUVEAU(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
[  2314.884] (II) NOUVEAU(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[  2314.884] (II) NOUVEAU(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
[  2314.884] (II) NOUVEAU(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[  2314.884] (II) NOUVEAU(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
[  2314.910] (II) NOUVEAU(0): EDID for output TV-1
[  2314.910] (II) NOUVEAU(0): Output VGA-1 disconnected
[  2314.910] (II) NOUVEAU(0): Output DVI-I-1 connected
[  2314.910] (II) NOUVEAU(0): Output TV-1 disconnected
[  2314.910] (II) NOUVEAU(0): Using exact sizes for initial modes
[  2314.910] (II) NOUVEAU(0): Output DVI-I-1 using initial mode 1920x1200
[  2314.910] (II) NOUVEAU(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[  2314.910] (--) NOUVEAU(0): Virtual size is 1920x1200 (pitch 0)
[  2314.910] (**) NOUVEAU(0):  Driver mode "1920x1200": 154.0 MHz (scaled from 0.0 MHz), 74.0 kHz, 60.0 Hz
[  2314.910] (II) NOUVEAU(0): Modeline "1920x1200"x60.0  154.00  1920 1968 2000 2080  1200 1203 1209 1235 +hsync -vsync (74.0 kHz)
[  2314.910] (**) NOUVEAU(0):  Driver mode "1600x1200": 162.0 MHz (scaled from 0.0 MHz), 75.0 kHz, 60.0 Hz
[  2314.910] (II) NOUVEAU(0): Modeline "1600x1200"x60.0  162.00  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync (75.0 kHz)
[  2314.910] (**) NOUVEAU(0):  Driver mode "1680x1050": 146.2 MHz (scaled from 0.0 MHz), 65.3 kHz, 60.0 Hz
[  2314.910] (II) NOUVEAU(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
[  2314.910] (**) NOUVEAU(0):  Driver mode "1280x1024": 135.0 MHz (scaled from 0.0 MHz), 80.0 kHz, 75.0 Hz
[  2314.910] (II) NOUVEAU(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
[  2314.910] (**) NOUVEAU(0):  Driver mode "1280x1024": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz, 60.0 Hz
[  2314.910] (II) NOUVEAU(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[  2314.910] (**) NOUVEAU(0):  Driver mode "1152x864": 108.0 MHz (scaled from 0.0 MHz), 67.5 kHz, 75.0 Hz
[  2314.910] (II) NOUVEAU(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[  2314.910] (**) NOUVEAU(0):  Driver mode "1024x768": 78.8 MHz (scaled from 0.0 MHz), 60.1 kHz, 75.1 Hz
[  2314.910] (II) NOUVEAU(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
[  2314.910] (**) NOUVEAU(0):  Driver mode "1024x768": 65.0 MHz (scaled from 0.0 MHz), 48.4 kHz, 60.0 Hz
[  2314.910] (II) NOUVEAU(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[  2314.910] (**) NOUVEAU(0):  Driver mode "800x600": 49.5 MHz (scaled from 0.0 MHz), 46.9 kHz, 75.0 Hz
[  2314.910] (II) NOUVEAU(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
[  2314.910] (**) NOUVEAU(0):  Driver mode "800x600": 40.0 MHz (scaled from 0.0 MHz), 37.9 kHz, 60.3 Hz
[  2314.910] (II) NOUVEAU(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[  2314.910] (**) NOUVEAU(0):  Driver mode "640x480": 31.5 MHz (scaled from 0.0 MHz), 37.5 kHz, 75.0 Hz
[  2314.910] (II) NOUVEAU(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
[  2314.910] (**) NOUVEAU(0):  Driver mode "640x480": 25.2 MHz (scaled from 0.0 MHz), 31.5 kHz, 60.0 Hz
[  2314.910] (II) NOUVEAU(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[  2314.910] (**) NOUVEAU(0):  Driver mode "720x400": 28.3 MHz (scaled from 0.0 MHz), 31.5 kHz, 70.1 Hz
[  2314.910] (II) NOUVEAU(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
[  2314.910] (==) NOUVEAU(0): DPI set to (96, 96)
[  2314.910] (II) Loading sub module "fb"
[  2314.910] (II) LoadModule: "fb"
[  2314.910] (II) Loading /usr/lib64/xorg/modules/libfb.so
[  2314.912] (II) Module fb: vendor="X.Org Foundation"
[  2314.912]    compiled for 1.11.2, module version = 1.0.0
[  2314.912]    ABI class: X.Org ANSI C Emulation, version 0.4
[  2314.912] (II) Loading sub module "exa"
[  2314.912] (II) LoadModule: "exa"
[  2314.912] (II) Loading /usr/lib64/xorg/modules/libexa.so
[  2314.913] (II) Module exa: vendor="X.Org Foundation"
[  2314.913]    compiled for 1.11.2, module version = 2.5.0
[  2314.913]    ABI class: X.Org Video Driver, version 11.0
[  2314.913] (II) Loading sub module "shadowfb"
[  2314.913] (II) LoadModule: "shadowfb"
[  2314.913] (II) Loading /usr/lib64/xorg/modules/libshadowfb.so
[  2314.914] (II) Module shadowfb: vendor="X.Org Foundation"
[  2314.914]    compiled for 1.11.2, module version = 1.0.0
[  2314.914]    ABI class: X.Org ANSI C Emulation, version 0.4
[  2314.914] (--) Depth 24 pixmap format is 32 bpp
[  2314.915] (II) NOUVEAU(0): Opened GPU channel 1
[  2314.916] (II) NOUVEAU(0): [DRI2] Setup complete
[  2314.916] (II) NOUVEAU(0): [DRI2]   DRI driver: nouveau
[  2314.916] (II) NOUVEAU(0): [DRI2]   VDPAU driver: nouveau
[  2314.916] (II) NOUVEAU(0): GART: 64MiB available
[  2314.918] (II) NOUVEAU(0): GART: Allocated 16MiB as a scratch buffer
[  2314.921] (II) EXA(0): Driver allocated offscreen pixmaps
[  2314.921] (II) EXA(0): Driver registered support for the following operations:
[  2314.921] (II)         Solid
[  2314.921] (II)         Copy
[  2314.921] (II)         Composite (RENDER acceleration)
[  2314.921] (II)         UploadToScreen
[  2314.921] (II)         DownloadFromScreen
[  2314.921] (==) NOUVEAU(0): Backing store disabled
[  2314.921] (==) NOUVEAU(0): Silken mouse enabled
[  2314.921] (II) NOUVEAU(0): [XvMC] Associated with NV40 texture adapter.
[  2314.921] (II) NOUVEAU(0): [XvMC] Extension initialized.
[  2314.921] (==) NOUVEAU(0): DPMS enabled
[  2314.921] (II) NOUVEAU(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[  2314.922] (--) RandR disabled
[  2314.922] (II) Initializing built-in extension Generic Event Extension
[  2314.922] (II) Initializing built-in extension SHAPE
[  2314.922] (II) Initializing built-in extension MIT-SHM
[  2314.922] (II) Initializing built-in extension XInputExtension
[  2314.922] (II) Initializing built-in extension XTEST
[  2314.922] (II) Initializing built-in extension BIG-REQUESTS
[  2314.922] (II) Initializing built-in extension SYNC
[  2314.922] (II) Initializing built-in extension XKEYBOARD
[  2314.922] (II) Initializing built-in extension XC-MISC
[  2314.922] (II) Initializing built-in extension XINERAMA
[  2314.922] (II) Initializing built-in extension XFIXES
[  2314.922] (II) Initializing built-in extension RENDER
[  2314.922] (II) Initializing built-in extension RANDR
[  2314.922] (II) Initializing built-in extension COMPOSITE
[  2314.922] (II) Initializing built-in extension DAMAGE
[  2314.991] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
[  2314.991] (II) AIGLX: enabled GLX_INTEL_swap_event
[  2314.991] (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
[  2314.991] (II) AIGLX: enabled GLX_SGI_make_current_read
[  2314.991] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
[  2314.991] (II) AIGLX: Loaded and initialized nouveau
[  2314.991] (II) GLX: Initialized DRI2 GL provider for screen 0
[  2315.014] (II) NOUVEAU(0): NVEnterVT is called.
[  2315.014] (II) NOUVEAU(0): Setting screen physical size to 508 x 317
[  2315.014] resize called 1920 1200
[  2315.088] (II) config/udev: Adding input device Power Button (/dev/input/event1)
[  2315.088] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[  2315.088] (II) LoadModule: "evdev"
[  2315.088] (II) Loading /usr/lib64/xorg/modules/input/evdev_drv.so
[  2315.089] (II) Module evdev: vendor="X.Org Foundation"
[  2315.089]    compiled for 1.10.4, module version = 2.6.0
[  2315.089]    Module class: X.Org XInput Driver
[  2315.089]    ABI class: X.Org XInput driver, version 12.2
[  2315.089] (EE) module ABI major version (12) doesn't match the server's version (13)
[  2315.089] (II) UnloadModule: "evdev"
[  2315.089] (II) Unloading evdev
[  2315.089] (EE) Failed to load module "evdev" (module requirement mismatch, 0)
[  2315.089] (EE) No input driver matching `evdev'
[  2315.089] (II) config/udev: Adding input device Power Button (/dev/input/event0)
[  2315.089] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[  2315.089] (II) LoadModule: "evdev"
[  2315.089] (II) Loading /usr/lib64/xorg/modules/input/evdev_drv.so
[  2315.089] (II) Module evdev: vendor="X.Org Foundation"
[  2315.089]    compiled for 1.10.4, module version = 2.6.0
[  2315.089]    Module class: X.Org XInput Driver
[  2315.089]    ABI class: X.Org XInput driver, version 12.2
[  2315.089] (EE) module ABI major version (12) doesn't match the server's version (13)
[  2315.089] (II) UnloadModule: "evdev"
[  2315.089] (II) Unloading evdev
[  2315.089] (EE) Failed to load module "evdev" (module requirement mismatch, 0)
[  2315.089] (EE) No input driver matching `evdev'
[  2315.090] (II) config/udev: Adding input device HID 04b4:0033 (/dev/input/event3)
[  2315.090] (**) HID 04b4:0033: Applying InputClass "evdev pointer catchall"
[  2315.090] (II) LoadModule: "evdev"
[  2315.090] (II) Loading /usr/lib64/xorg/modules/input/evdev_drv.so
[  2315.090] (II) Module evdev: vendor="X.Org Foundation"
[  2315.090]    compiled for 1.10.4, module version = 2.6.0
[  2315.090]    Module class: X.Org XInput Driver
[  2315.090]    ABI class: X.Org XInput driver, version 12.2
[  2315.090] (EE) module ABI major version (12) doesn't match the server's version (13)
[  2315.090] (II) UnloadModule: "evdev"
[  2315.090] (II) Unloading evdev
[  2315.090] (EE) Failed to load module "evdev" (module requirement mismatch, 0)
[  2315.090] (EE) No input driver matching `evdev'
[  2315.090] (II) config/udev: Adding input device HID 04b4:0033 (/dev/input/mouse0)
[  2315.090] (II) No input driver/identifier specified (ignoring)
[  2315.091] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event2)
[  2315.091] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[  2315.091] (II) LoadModule: "evdev"
[  2315.091] (II) Loading /usr/lib64/xorg/modules/input/evdev_drv.so
[  2315.091] (II) Module evdev: vendor="X.Org Foundation"
[  2315.091]    compiled for 1.10.4, module version = 2.6.0
[  2315.091]    Module class: X.Org XInput Driver
[  2315.091]    ABI class: X.Org XInput driver, version 12.2
[  2315.091] (EE) module ABI major version (12) doesn't match the server's version (13)
[  2315.091] (II) UnloadModule: "evdev"
[  2315.091] (II) Unloading evdev
[  2315.091] (EE) Failed to load module "evdev" (module requirement mismatch, 0)
[  2315.091] (EE) No input driver matching `evdev'
[  2315.809] (II) NOUVEAU(0): EDID vendor "DEL", prod id 41008
[  2315.809] (II) NOUVEAU(0): Using EDID range info for horizontal sync
[  2315.810] (II) NOUVEAU(0): Using EDID range info for vertical refresh
[  2315.810] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[  2315.810] (II) NOUVEAU(0): Modeline "1920x1200"x0.0  154.00  1920 1968 2000 2080  1200 1203 1209 1235 +hsync -vsync (74.0 kHz)
[  2315.810] (II) NOUVEAU(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[  2315.810] (II) NOUVEAU(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
[  2315.810] (II) NOUVEAU(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[  2315.810] (II) NOUVEAU(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
[  2315.810] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
[  2315.810] (II) NOUVEAU(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
[  2315.810] (II) NOUVEAU(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[  2315.810] (II) NOUVEAU(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
[  2315.810] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[  2315.810] (II) NOUVEAU(0): Modeline "1600x1200"x0.0  162.00  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync (75.0 kHz)
[  2315.810] (II) NOUVEAU(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[  2315.810] (II) NOUVEAU(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz)
[  2315.843] resize called 1920 1200


I think the interesting line is:

Code:
[  2315.089] (EE) module ABI major version (12) doesn't match the server's version (13)


I recompiled xorg-drivers, they are now version 1.11 and xorg-server is 1.11.2-r2. So it looks to me as if they are of the same version (?). I also recompiled the kernel (2.6.36)

emerge --info:

Code:
Portage 2.1.10.41 (default/linux/amd64/10.0/desktop, gcc-4.4.5, glibc-2.13-r4, 2.6.36-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.36-gentoo-r5-x86_64-Dual_Core_AMD_Opteron-tm-_Processor_280-with-gentoo-2.0.3
Timestamp of tree: Mon, 26 Dec 2011 15:00:01 +0000
app-shells/bash:          4.1_p9
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.6.6-r1, 2.7.2-r3, 3.1.4-r3
dev-util/cmake:           2.8.6-r4
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.9.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.4.5, 4.5.3-r1
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.39 (virtual/os-headers)
sys-libs/glibc:           2.13-r4
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=opteron -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=opteron -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 audiofile berkdb bluetooth branding bzip2 cairo caps cdb cdda cdparanoia cdr cli consolekit cracklib crypt css cups cxx dbus dri dts dvd dvdr dvdread emboss encode exif expat fam fftw firefox flac fortran ftp gdbm gdu gif gimp gphoto2 gpm gtk hdri iconv ieee1394 imagemagick ipv6 jack java jpeg jpeg2k kde ladspa lash lcms ldap libnotify lm_sensors lock mad mmx mng modules mp3 mp4 mpeg mudflap multilib nas ncurses nls nptl nptlonly ntpl ogg opengl openmp pam pango pcre pdf png policykit posix ppds pppd qt3 qt3support qt4 raw readline sdl session smp sndfile spell sse sse2 ssl startup-notification svg sysfs tcpd theora tiff truetype udev unicode usb vorbis x264 xcb xine xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev virtualbox" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" SANE_BACKENDS="canon canon630u canon_dr canon_pp genesys plustek" USERLAND="GNU" VIDEO_CARDS="nouveau virtualbox" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

_________________
Expert in non-working solutions


Last edited by Spanik on Tue Jan 03, 2012 8:22 pm; edited 1 time in total
Back to top
View user's profile Send private message
avx
Advocate
Advocate


Joined: 21 Jun 2004
Posts: 2152

PostPosted: Tue Jan 03, 2012 7:45 pm    Post subject: Reply with quote

Did you also re-emerge x11-drivers/xf86-input-evdev? AFAIK, xorg-drivers is just a meta-package and re-emerging only it isn't enough in this case.
_________________
++++++++++[>+++++++>++++++++++>+++>+<<<<-]>++.>+.+++++++..+++.>++.<<+++++++++++++++.>.+++.------.--------.>+.>.
Back to top
View user's profile Send private message
gerard27
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2377
Location: Netherlands

PostPosted: Tue Jan 03, 2012 7:57 pm    Post subject: Reply with quote

You should read the elog messages when upgrading your system.
This is in xorg-server ebuild:
Code:
ewarn "You must rebuild all drivers if upgrading from <xorg-server-$(get_version_component_range 1-2)"
      ewarn "because the ABI changed. If you cannot start X because"
      ewarn "of module version mismatch errors, this is your problem."

      echo
      ewarn "You can generate a list of all installed packages in the x11-drivers"
      ewarn "category using this command:"
      ewarn "   emerge portage-utils; qlist -I -C x11-drivers/"
      ewarn "or using sets from portage-2.2:"
      ewarn "   emerge @x11-module-rebuild"

Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
Spanik
Guru
Guru


Joined: 12 Dec 2003
Posts: 515
Location: Belgium

PostPosted: Tue Jan 03, 2012 8:22 pm    Post subject: Reply with quote

Quote:
Did you also re-emerge x11-drivers/xf86-input-evdev? AFAIK, xorg-drivers is just a meta-package and re-emerging only it isn't enough in this case.


AFAIK I didn't. I ran an "--update system", then "--update --deep system" then the same for world and thought that would solve such things.

But if I "emerge --search xf86-input-evdev" it is at 2.6.0 which is the latest. So I tought this would be ok. But I just re-emerged xf86-input-evdev and it looks like this solved the issue. Thanks.

Quote:
You should read the elog messages when upgrading your system.


Where do I find that elog?
_________________
Expert in non-working solutions
Back to top
View user's profile Send private message
gerard27
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2377
Location: Netherlands

PostPosted: Tue Jan 03, 2012 8:31 pm    Post subject: Reply with quote

Code:
/var/log/portage/elog

Gerard
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
avx
Advocate
Advocate


Joined: 21 Jun 2004
Posts: 2152

PostPosted: Tue Jan 03, 2012 10:24 pm    Post subject: Reply with quote

Spanik wrote:
Quote:
Did you also re-emerge x11-drivers/xf86-input-evdev? AFAIK, xorg-drivers is just a meta-package and re-emerging only it isn't enough in this case.


But if I "emerge --search xf86-input-evdev" it is at 2.6.0 which is the latest. So I tought this would be ok. But I just re-emerged xf86-input-evdev and it looks like this solved the issue. Thanks.

Having the latest version doesn't mean, that you can use it, it also has to be linked against X11, if there are API/ABI-changes, thus a re-emerge is needed in this situations.
_________________
++++++++++[>+++++++>++++++++++>+++>+<<<<-]>++.>+.+++++++..+++.>++.<<+++++++++++++++.>.+++.------.--------.>+.>.
Back to top
View user's profile Send private message
Spanik
Guru
Guru


Joined: 12 Dec 2003
Posts: 515
Location: Belgium

PostPosted: Wed Jan 04, 2012 7:50 pm    Post subject: Reply with quote

Thanks both of you, another bit of understanding added.
_________________
Expert in non-working solutions
Back to top
View user's profile Send private message
maystorm
Apprentice
Apprentice


Joined: 02 Jun 2002
Posts: 218
Location: Germany, not far away

PostPosted: Wed Jan 04, 2012 10:14 pm    Post subject: Rtfe Reply with quote

Ran into the same problem today, thought I should search for "no mouse no keyboard" in these forums, found this thread and learned my lesson for today by putting four big letters on a sticker next to my monitor:

RTFE

--> stands for "read the f*cking elog" 8)
_________________
Linux user #216018
Back to top
View user's profile Send private message
Bosarge
n00b
n00b


Joined: 03 Jan 2012
Posts: 2

PostPosted: Fri Jan 06, 2012 5:12 am    Post subject: Good solution Reply with quote

yes ,very good to deal with this problem.
_________________
There should be a better way to start a day than waking up every morning.
Back to top
View user's profile Send private message
chrisstankevitz
Guru
Guru


Joined: 14 Dec 2003
Posts: 472
Location: Santa Barbara, CA, USA

PostPosted: Sun Jan 08, 2012 10:29 pm    Post subject: Reply with quote

Shame on you for not reading your elog!

[code:1:23bd9f29de]
>>> Messages generated by process 21238 on 2011-11-01 07:49:31 PDT for package sys-kernel/gentoo-sources-3.0.6:

LOG: postinst
If you are upgrading from a previous kernel, you may be interested
in the following document:
- General upgrade guide: http://www.gentoo.org/doc/en/kernel-upgrade.xml

>>> Messages generated by process 22438 on 2011-11-01 07:51:02 PDT for package sys-apps/pciutils-3.1.7:

LOG: install
Providing a backwards compatibility non-compressed pci.ids
LOG: postinst
The 'pcimodules' program has been replaced by 'lspci -k'

>>> Messages generated by process 9664 on 2011-11-01 09:01:04 PDT for package dev-util/ctags-5.8:

LOG: postinst
You can set the version to be started by /usr/bin/ctags through
the ctags eselect module. "man ctags.eselect" for details.

>>> Messages generated by process 9664 on 2011-11-01 09:02:34 PDT for package app-editors/vim-core-7.3.266:

LOG: postinst
Vim 7 includes an integrated spell checker. You need to install
word list files before you can use it. There are ebuilds for
some of these named app-vim/vim-spell-*. If your language of
choice is not included, please consult vim-spell.eclass for
instructions on how to make a package.
WARN: postinst
Note that the English word lists are no longer installed by
default.

>>> Messages generated by process 9664 on 2011-11-01 09:03:15 PDT for package app-editors/vim-7.3.266:

LOG: postinst
To install a GUI version of vim, use the app-editors/gvim
package.
Vim 7 includes an integrated spell checker. You need to install
word list files before you can use it. There are ebuilds for
some of these named app-vim/vim-spell-*. If your language of
choice is not included, please consult vim-spell.eclass for
instructions on how to make a package.
WARN: postinst
Note that the English word lists are no longer installed by
default.
LOG: postinst
To see what's new in this release, use :help version7.txt

>>> Messages generated by process 9664 on 2011-11-01 09:03:20 PDT for package app-vim/gentoo-syntax-20101212:

LOG: postinst

This plugin provides documentation via vim's help system. To
view it, use:
:help gentoo-syntax

This plugin makes use of filetype settings. To enable these,
add lines like:
filetype plugin on
filetype indent on
to your ~/.vimrc file.

Note for developers and anyone else who edits ebuilds:
This release of gentoo-syntax now contains filetype rules to set
fileencoding for ebuilds and ChangeLogs to utf-8 as per GLEP 31.
If you find this feature breaks things, please submit a bug and
assign it to vim@gentoo.org. You can use the 'ignore-glep31' USE
flag to remove these rules.

>>> Messages generated by process 17507 on 2011-11-01 09:16:28 PDT for package app-admin/logrotate-3.8.0:

LOG: postinst
If you wish to have logrotate e-mail you updates, please
emerge virtual/mailx and configure logrotate in
/etc/logrotate.conf appropriately

Additionally, /etc/logrotate.conf may need to be modified
for your particular needs. See man logrotate for details.

>>> Messages generated by process 14547 on 2011-11-01 09:33:28 PDT for package net-misc/dhcpcd-5.2.12:

LOG: postinst
You have installed dhcpcd with zeroconf support.
This means that it will always obtain an IP address even if no
DHCP server can be contacted, which will break any existing
failover support you may have configured in your net configuration.
This behaviour can be controlled with the -L flag.
See the dhcpcd man page for more details.

Users upgrading from 4.0 series should pay attention to removal
of compat useflag. This changes behavior of dhcp in wide manner:
dhcpcd no longer sends a default ClientID for ethernet interfaces.
This is so we can re-use the address the kernel DHCP client found.
To retain the old behaviour of sending a default ClientID based on the
hardware address for interface, simply add the keyword clientid
to dhcpcd.conf or use commandline parameter -I ''

Also, users upgrading from 4.0 series should be aware that
the -N, -R and -Y command line options no longer exist.
These are controled now by nohook options in dhcpcd.conf.

>>> Messages generated by process 2162 on 2011-11-01 16:58:31 PDT for package app-portage/gentoolkit-0.3.0.4-r4:

WARN: postinst

glsa-check since gentoolkit 0.3 has modified some output,
options and default behavior. The list of injected GLSAs
has moved to /var/lib/portage/glsa_injected, please
run 'glsa-check -p affected' before copying the existing checkfile.

>>> Messages generated by process 2022 on 2011-11-01 17:55:58 PDT for package sys-kernel/gentoo-sources-3.0.6:

WARN: postrm
Note: Even though you have successfully unmerged
your kernel package, directories in kernel source location:
/usr/src/linux-3.0.6-gentoo
with modified files will remain behind. By design, package managers
will not remove these modified files and the directories they reside in.

>>> Messages generated by process 2022 on 2011-11-01 17:55:58 PDT for package sys-kernel/gentoo-sources-3.0.6:

LOG: postinst
If you are upgrading from a previous kernel, you may be interested
in the following document:
- General upgrade guide: http://www.gentoo.org/doc/en/kernel-upgrade.xml

>>> Messages generated by process 1966 on 2011-11-01 18:14:49 PDT for package sys-kernel/gentoo-sources-3.0.6:

WARN: postrm
Note: Even though you have successfully unmerged
your kernel package, directories in kernel source location:
/usr/src/linux-3.0.6-gentoo
with modified files will remain behind. By design, package managers
will not remove these modified files and the directories they reside in.

>>> Messages generated by process 1966 on 2011-11-01 18:14:49 PDT for package sys-kernel/gentoo-sources-3.0.6:

LOG: postinst
If you are upgrading from a previous kernel, you may be interested
in the following document:
- General upgrade guide: http://www.gentoo.org/doc/en/kernel-upgrade.xml

>>> Messages generated by process 15563 on 2011-11-01 20:41:04 PDT for package media-libs/freetype-2.4.7:

LOG: postinst
The TrueType bytecode interpreter is no longer patented and thus no
longer controlled by the bindist USE flag. Enable the auto-hinter
USE flag if you want the old USE=bindist hinting behavior.

>>> Messages generated by process 15563 on 2011-11-01 20:42:26 PDT for package x11-proto/xcb-proto-1.6-r1:

WARN: install
Deleting byte-compiled Python modules needlessly generated by build system:
/var/tmp/portage/x11-proto/xcb-proto-1.6-r1/image/usr/lib64/python2.7/site-packages/xcbgen/xtypes.pyc
/var/tmp/portage/x11-proto/xcb-proto-1.6-r1/image/usr/lib64/python2.7/site-packages/xcbgen/expr.pyo
/var/tmp/portage/x11-proto/xcb-proto-1.6-r1/image/usr/lib64/python2.7/site-packages/xcbgen/__init__.pyo
/var/tmp/portage/x11-proto/xcb-proto-1.6-r1/image/usr/lib64/python2.7/site-packages/xcbgen/__init__.pyc
/var/tmp/portage/x11-proto/xcb-proto-1.6-r1/image/usr/lib64/python2.7/site-packages/xcbgen/matcher.pyo
/var/tmp/portage/x11-proto/xcb-proto-1.6-r1/image/usr/lib64/python2.7/site-packages/xcbgen/error.pyc
/var/tmp/portage/x11-proto/xcb-proto-1.6-r1/image/usr/lib64/python2.7/site-packages/xcbgen/error.pyo
/var/tmp/portage/x11-proto/xcb-proto-1.6-r1/image/usr/lib64/python2.7/site-packages/xcbgen/matcher.pyc
/var/tmp/portage/x11-proto/xcb-proto-1.6-r1/image/usr/lib64/python2.7/site-packages/xcbgen/xtypes.pyo
/var/tmp/portage/x11-proto/xcb-proto-1.6-r1/image/usr/lib64/python2.7/site-packages/xcbgen/state.pyc
/var/tmp/portage/x11-proto/xcb-proto-1.6-r1/image/usr/lib64/python2.7/site-packages/xcbgen/expr.pyc
/var/tmp/portage/x11-proto/xcb-proto-1.6-r1/image/usr/lib64/python2.7/site-packages/xcbgen/state.pyo
WARN: postinst
Please rebuild both libxcb and xcb-util if you are upgrading from version 1.6

>>> Messages generated by process 15563 on 2011-11-01 20:50:09 PDT for package x11-libs/libXi-1.4.3:

WARN: postinst
Some special keys and keyboard layouts may stop working.
To fix them, recompile xorg-server.

>>> Messages generated by process 15563 on 2011-11-01 20:52:24 PDT for package media-libs/mesa-7.11:

LOG: postinst
USE="bindist" was not set. Potentially patent encumbered code was
enabled.

>>> Messages generated by process 15563 on 2011-11-01 20:52:42 PDT for package x11-apps/xinit-1.3.1:

WARN: postinst
If you use startx to start X instead of a login manager like gdm/kdm,
you can set the XSESSION variable to anything in /etc/X11/Sessions/ or
any executable. When you run startx, it will run this as the login session.
You can set this in a file in /etc/env.d/ for the entire system,
or set it per-user in ~/.bash_profile (or similar for other shells).
Here's an example of setting it for the whole system:
echo XSESSION="Gnome" > /etc/env.d/90xsession
env-update && source /etc/profile

>>> Messages generated by process 8919 on 2011-11-01 21:21:37 PDT for package media-libs/fontconfig-2.8.0-r1:

WARN: postinst
Please make fontconfig configuration changes using `eselect fontconfig`
Any changes made to /etc/fonts/fonts.conf will be overwritten.

If you need to reset your configuration to upstream defaults, delete
the directory /etc/fonts/conf.d/ and re-emerge fontconfig.

>>> Messages generated by process 8919 on 2011-11-01 21:21:44 PDT for package media-fonts/dejavu-2.32:

LOG: postinst
The following fontconfig configuration files have been installed:

20-unhint-small-dejavu-sans-mono.conf
20-unhint-small-dejavu-sans.conf
20-unhint-small-dejavu-serif.conf
57-dejavu-sans-mono.conf
57-dejavu-sans.conf
57-dejavu-serif.conf

Use `eselect fontconfig` to enable/disable them.

>>> Messages generated by process 29549 on 2011-11-01 21:45:00 PDT for package x11-drivers/nvidia-drivers-285.05.09-r1:

LOG: postinst
You must be in the video group to use the NVIDIA device
For more info, read the docs at
http://www.gentoo.org/doc/en/nvidia-guide.xml#doc_chap3_sect6

This ebuild installs a kernel module and X driver. Both must
match explicitly in their version. This means, if you restart
X, you must modprobe -r nvidia before starting it back up

To use the NVIDIA GLX, run "eselect opengl set nvidia"

NVIDIA has requested that any bug reports submitted have the
output of /usr/bin/nvidia-bug-report.sh included.

To work with compiz, you must enable the AddARGBGLXVisuals option.

If you are having resolution problems, try disabling DynamicTwinView.

USE=gtk controls whether the nvidia-settings application
is installed. If you would like to use it, enable that
flag and re-emerge this ebuild. media-video/nvidia-settings
no longer installs nvidia-settings but only installs the
associated user space libraries.

>>> Messages generated by process 29549 on 2011-11-01 21:46:22 PDT for package media-libs/mesa-7.11:

LOG: postinst
USE="bindist" was not set. Potentially patent encumbered code was
enabled.

>>> Messages generated by process 3961 on 2011-11-01 21:55:15 PDT for package app-text/libpaper-1.1.23:

LOG: postinst
run "paperconfig -p letter" as root to use letter-pagesizes
or paperconf with normal user privileges.

>>> Messages generated by process 3961 on 2011-11-01 21:56:46 PDT for package media-fonts/urw-fonts-2.4.9:

LOG: postinst
If you upgraded from urw-fonts-2.1-r2 some fonts will look a bit
different. Take a look at bug #208990 if interested.

>>> Messages generated by process 3961 on 2011-11-01 22:01:31 PDT for package app-text/poppler-0.16.7:

WARN: postinst
After upgrading app-text/poppler you may need to reinstall packages
linking to it. If you're not a portage-2.2_rc user, you're advised
to run revdep-rebuild

>>> Messages generated by process 3961 on 2011-11-01 22:02:26 PDT for package x11-drivers/nvidia-drivers-285.05.09-r1:

LOG: postinst
You must be in the video group to use the NVIDIA device
For more info, read the docs at
http://www.gentoo.org/doc/en/nvidia-guide.xml#doc_chap3_sect6

This ebuild installs a kernel module and X driver. Both must
match explicitly in their version. This means, if you restart
X, you must modprobe -r nvidia before starting it back up

To use the NVIDIA GLX, run "eselect opengl set nvidia"

NVIDIA has requested that any bug reports submitted have the
output of /usr/bin/nvidia-bug-report.sh included.

To work with compiz, you must enable the AddARGBGLXVisuals option.

If you are having resolution problems, try disabling DynamicTwinView.


>>> Messages generated by process 3961 on 2011-11-01 22:03:03 PDT for package net-print/cups-1.4.8-r1:

LOG: postinst
For information about installing a printer and general cups setup
take a look at: http://www.gentoo.org/doc/en/printing-howto.xml

>>> Messages generated by process 3961 on 2011-11-01 22:10:08 PDT for package x11-libs/gtk+-2.24.5-r1:

LOG: postinst
Please install app-text/evince for print preview functionality.
Alternatively, check "gtk-print-preview-command" documentation and
add it to your gtkrc.

>>> Messages generated by process 13840 on 2011-11-01 22:14:42 PDT for package media-libs/freetype-2.4.7:

LOG: postinst
The TrueType bytecode interpreter is no longer patented and thus no
longer controlled by the bindist USE flag. Enable the auto-hinter
USE flag if you want the old USE=bindist hinting behavior.

>>> Messages generated by process 13840 on 2011-11-01 22:15:49 PDT for package sys-apps/dbus-1.4.16:

LOG: postinst
To start the D-Bus system-wide messagebus by default
you should add it to the default runlevel :
`rc-update add dbus default`

Some applications require a session bus in addition to the system
bus. Please see `man dbus-launch` for more information.

WARN: postinst
You must restart D-Bus `/etc/init.d/dbus restart` to run
the new version of the daemon.
Don't do this while X is running because it will restart your X as well.

>>> Messages generated by process 13840 on 2011-11-01 22:17:04 PDT for package net-misc/openssh-5.8_p1-r1:

LOG: postinst
Starting with openssh-5.8p1, the server will default to a newer key
algorithm (ECDSA). You are encouraged to manually update your stored
keys list as servers update theirs. See ssh-keyscan(1) for more info.
WARN: postinst
Remember to merge your config files in /etc/ssh/ and then
reload sshd: '/etc/init.d/sshd reload'.
Please be aware users need a valid shell in /etc/passwd
in order to be allowed to login.

>>> Messages generated by process 13840 on 2011-11-01 22:17:24 PDT for package app-text/poppler-0.16.7:

WARN: postinst
After upgrading app-text/poppler you may need to reinstall packages
linking to it. If you're not a portage-2.2_rc user, you're advised
to run revdep-rebuild

>>> Messages generated by process 13840 on 2011-11-01 22:17:32 PDT for package media-fonts/urw-fonts-2.4.9:

LOG: postinst
If you upgraded from urw-fonts-2.1-r2 some fonts will look a bit
different. Take a look at bug #208990 if interested.

>>> Messages generated by process 13840 on 2011-11-01 22:17:56 PDT for package media-fonts/dejavu-2.32:

LOG: postinst
The following fontconfig configuration files have been installed:

20-unhint-small-dejavu-sans-mono.conf
20-unhint-small-dejavu-sans.conf
20-unhint-small-dejavu-serif.conf
57-dejavu-sans-mono.conf
57-dejavu-sans.conf
57-dejavu-serif.conf

Use `eselect fontconfig` to enable/disable them.

>>> Messages generated by process 13840 on 2011-11-01 22:18:08 PDT for package x11-apps/xinit-1.3.1:

WARN: postinst
If you use startx to start X instead of a login manager like gdm/kdm,
you can set the XSESSION variable to anything in /etc/X11/Sessions/ or
any executable. When you run startx, it will run this as the login session.
You can set this in a file in /etc/env.d/ for the entire system,
or set it per-user in ~/.bash_profile (or similar for other shells).
Here's an example of setting it for the whole system:
echo XSESSION="Gnome" > /etc/env.d/90xsession
env-update && source /etc/profile

>>> Messages generated by process 13840 on 2011-11-01 22:18:47 PDT for package net-print/cups-1.4.8-r1:

LOG: postinst
For information about installing a printer and general cups setup
take a look at: http://www.gentoo.org/doc/en/printing-howto.xml

>>> Messages generated by process 13840 on 2011-11-01 22:24:17 PDT for package app-editors/vim-7.3.266:

LOG: postinst
The 'X' USE flag enables vim <-> X communication, like
updating the xterm titlebar. It does not install a GUI.
To install a GUI version of vim, use the app-editors/gvim
package.
Vim 7 includes an integrated spell checker. You need to install
word list files before you can use it. There are ebuilds for
some of these named app-vim/vim-spell-*. If your language of
choice is not included, please consult vim-spell.eclass for
instructions on how to make a package.
WARN: postinst
Note that the English word lists are no longer installed by
default.
LOG: postinst
To see what's new in this release, use :help version7.txt

>>> Messages generated by process 20764 on 2011-11-01 22:33:49 PDT for package app-portage/portage-utils-0.3.1:

LOG: postinst
/etc/portage/postsync.d/q-reinitialize has been installed for convenience
If you wish for it to be automatically run at the end of every --sync:
# chmod +x /etc/portage/postsync.d/q-reinitialize
Normally this should only take a few seconds to run but file systems
such as ext3 can take a lot longer. To disable, simply do:
# chmod -x /etc/portage/postsync.d/q-reinitialize

>>> Messages generated by process 20764 on 2011-11-01 22:35:02 PDT for package sys-fs/udev-164-r2:

WARN: setup

udev-164 does not support Linux kernel before version 2.6.25!
For a reliable udev, use at least kernel 2.6.27
LOG: postinst

Updating persistent-net rules file

restarting udevd now.
WARN: postinst

If after the udev update removable devices or CD/DVD drives
stop working, try re-emerging HAL before filling a bug report
LOG: postinst

persistent-net does assigning fixed names to network devices.
If you have problems with the persistent-net rules,
just delete the rules file
rm /etc/udev/rules.d/70-persistent-net.rules
and then reboot.

This may however number your devices in a different way than they are now.
WARN: postinst

If you build an initramfs including udev, then please
make sure that the /sbin/udevadm binary gets included,
and your scripts changed to use it,as it replaces the
old helper apps udevinfo, udevtrigger, ...

mount options for directory /dev are no longer
set in /etc/udev/udev.conf, but in /etc/fstab
as for other directories.

If you use /dev/md/*, /dev/loop/* or /dev/rd/*,
then please migrate over to using the device names
/dev/md*, /dev/loop* and /dev/ram*.
The devfs-compat rules have been removed.
For reference see Bug #269359.

Rules for /dev/hd* devices have been removed
Please migrate to libata.
LOG: postinst

For more information on udev on Gentoo, writing udev rules, and
fixing known issues visit:
http://www.gentoo.org/doc/en/udev-guide.xml

>>> Messages generated by process 20764 on 2011-11-01 22:35:26 PDT for package sys-auth/polkit-0.102:

WARN: postinst
If you don't use GDM or KDM for logging in,
you must start your desktop environment (DE) as follows:
ck-launch-session $STARTGUI
Where $STARTGUI is a DE-starting command such as 'gnome-session'.
You should add this to your ~/.xinitrc if you use startx.

>>> Messages generated by process 20764 on 2011-11-01 22:35:45 PDT for package sys-auth/consolekit-0.4.5-r1:

WARN: postinst
You need to restart ConsoleKit to get the new features.
This can be done with /etc/init.d/consolekit restart
but make sure you do this and then restart your session
otherwise you will get access denied for certain actions

>>> Messages generated by process 20764 on 2011-11-01 22:35:48 PDT for package sys-auth/pambase-20101024:

LOG: postinst
Starting from version 20080801, pambase optionally enables
SHA512-hashed passwords. For this to work, you need sys-libs/pam-1.0.1
built against sys-libs/glibc-2.7 or later.
If you don't have support for this, it will automatically fallback
to MD5-hashed passwords, just like before.

Please note that the change only affects the newly-changed passwords
and that SHA512-hashed passwords will not work on earlier versions
of glibc or Linux-PAM.

>>> Messages generated by process 5907 on 2011-11-02 00:38:19 PDT for package media-libs/alsa-lib-1.0.24.1:

LOG: postinst
Please try in-kernel ALSA drivers instead of the alsa-driver ebuild.
If alsa-driver works for you where a *recent* kernel does not, we want
to know about this. Our e-mail address is alsa-bugs@gentoo.org
However, if you notice no sound output or instability, please try to
upgrade your kernel to a newer version first.

>>> Messages generated by process 5907 on 2011-11-02 00:39:13 PDT for package media-sound/alsa-utils-1.0.24.2-r1:

LOG: postinst
To take advantage of the init script, and automate the process of
saving and restoring sound-card mixer levels you should
add alsasound to the boot runlevel. You can do this as
root like so:
# rc-update add alsasound boot
The script will load ALSA modules, if you choose to use a modular
configuration. The Gentoo ALSA developers recommend you to build
your audio drivers into the kernel unless the device is hotpluggable
or you need to supply specific options (such as model= to HD Audio).
WARN: postinst
Automated unloading of ALSA modules is deprecated and unsupported.
Should you choose to use it, bug reports will not be accepted.

>>> Messages generated by process 31096 on 2011-11-02 01:33:57 PDT for package sys-fs/lvm2-2.02.73-r1:

LOG: setup
Warning, we no longer overwrite /sbin/lvm and /sbin/dmsetup with
their static versions. If you need the static binaries,
you must append .static the filename!
LOG: install
USE flag nocman is deprecated and replaced
with the cman USE flag.

USE flags clvm and cman are masked
by default and need to be unmasked to use them

If you are using genkernel and root-on-LVM, rebuild the initramfs.
LOG: postinst
lvm volumes are no longer automatically created for
baselayout-2 users. If you are using baselayout-2, be sure to
run: # rc-update add lvm boot
Do NOT add it if you are using baselayout-1 still.

>>> Messages generated by process 31096 on 2011-11-02 01:54:38 PDT for package x11-libs/gtk+-3.0.12-r1:

LOG: postinst
Please install app-text/evince for print preview functionality.
Alternatively, check "gtk-print-preview-command" documentation and
add it to your settings.ini file.

>>> Messages generated by process 31096 on 2011-11-02 02:36:59 PDT for package sys-fs/udisks-1.0.4-r1:

ERROR: setup
CONFIG_USB_SUSPEND: is not set when it should be.
WARN: setup
Please check to make sure these options are set correctly.
Failure to do so may cause unexpected problems.

>>> Messages generated by process 31096 on 2011-11-02 02:45:05 PDT for package gnome-base/gvfs-1.6.7-r1:

WARN: postinst
In order to use the new gvfs services, please reload dbus configuration
You may need to log out and log back in for some changes to take effect

>>> Messages generated by process 2275 on 2011-11-02 02:55:07 PDT for package sys-libs/pam-1.1.5:

WARN: postinst
Some software with pre-loaded PAM libraries might experience
warnings or failures related to missing symbols and/or versions
after any update. While unfortunate this is a limit of the
implementation of PAM and the software, and it requires you to
restart the software manually after the update.

You can get a list of such software running a command like
lsof / | egrep -i 'del.*libpam\.so'

Alternatively, simply reboot your system.

>>> Messages generated by process 2275 on 2011-11-02 02:55:16 PDT for package app-vim/pam-syntax-20060424:

LOG: postinst

This plugin provides syntax highlighting for PAM configuration files.


>>> Messages generated by process 2275 on 2011-11-02 03:08:44 PDT for package x11-libs/gtk+-2.24.5-r1:

LOG: postinst
Please install app-text/evince for print preview functionality.
Alternatively, check "gtk-print-preview-command" documentation and
add it to your gtkrc.

>>> Messages generated by process 2275 on 2011-11-02 03:10:04 PDT for package x11-libs/gtk+-3.0.12-r1:

LOG: postinst
Please install app-text/evince for print preview functionality.
Alternatively, check "gtk-print-preview-command" documentation and
add it to your settings.ini file.

>>> Messages generated by process 2135 on 2011-11-02 11:52:11 PDT for package x11-drivers/nvidia-drivers-285.05.09-r1:

LOG: postinst
You must be in the video group to use the NVIDIA device
For more info, read the docs at
http://www.gentoo.org/doc/en/nvidia-guide.xml#doc_chap3_sect6

This ebuild installs a kernel module and X driver. Both must
match explicitly in their version. This means, if you restart
X, you must modprobe -r nvidia before starting it back up

To use the NVIDIA GLX, run "eselect opengl set nvidia"

NVIDIA has requested that any bug reports submitted have the
output of /usr/bin/nvidia-bug-report.sh included.

To work with compiz, you must enable the AddARGBGLXVisuals option.

If you are having resolution problems, try disabling DynamicTwinView.


>>> Messages generated by process 11503 on 2011-11-02 14:11:55 PDT for package net-mail/mailbase-1:

WARN: postinst
Your //var/spool/mail/ directory permissions differ from
those which mailbase set when you first installed it (0775).
If you did not change them on purpose, consider running:

chmod 0775 //var/spool/mail/

>>> Messages generated by process 11503 on 2011-11-02 14:13:25 PDT for package app-admin/sudo-1.8.1_p2:

LOG: postinst
To use the -A (askpass) option, you need to install a compatible
password program from the following list. Starred packages will
automatically register for the use with sudo (but will not force
the -A option):

[*] net-misc/ssh-askpass-fullscreen
net-misc/x11-ssh-askpass

You can override the choice by setting the SUDO_ASKPASS environmnent
variable to the program you want to use.

>>> Messages generated by process 11503 on 2011-11-02 14:15:28 PDT for package net-misc/wicd-1.7.1_beta2-r4:

LOG: postinst
You may need to restart the dbus service after upgrading wicd.
To start wicd at boot, add /etc/init.d/wicd to a runlevel and:
- Remove all net.* initscripts (except for net.lo) from all runlevels
- Add these scripts to the RC_PLUG_SERVICES line in /etc/rc.conf
(For example, rc_hotplug="!net.eth* !net.wlan*")

>>> Messages generated by process 7263 on 2011-11-02 16:49:16 PDT for package dev-libs/nspr-4.8.9:

WARN: postinst

Please make sure you run revdep-rebuild after upgrade.
This is *extremely* important to ensure your system nspr works properly.


>>> Messages generated by process 7263 on 2011-11-02 16:49:44 PDT for package app-crypt/pinentry-0.8.0:

LOG: postinst
We no longer install pinentry-curses and pinentry-qt SUID root by default.
Linux kernels >=2.6.9 support memory locking for unprivileged processes.
The soft resource limit for memory locking specifies the limit an
unprivileged process may lock into memory. You can also use POSIX
capabilities to allow pinentry to lock memory. To do so activate the caps
USE flag and add the CAP_IPC_LOCK capability to the permitted set of
your users.

>>> Messages generated by process 7263 on 2011-11-02 16:53:40 PDT for package app-text/hunspell-1.3.2-r1:

LOG: postinst
To use this package you will also need a dictionary.
Hunspell uses myspell format dictionaries; find them
in the app-dicts category as myspell-<LANG>.

>>> Messages generated by process 7263 on 2011-11-02 17:00:08 PDT for package dev-libs/nss-3.12.11-r1:

LOG: postinst
We have reverted back to using upstreams soname.
Please run revdep-rebuild --library libnss3.so.12 , this
will correct most issues. If you find a binary that does
not run please re-emerge package to ensure it properly
links after upgrade.


>>> Messages generated by process 7263 on 2011-11-02 17:04:14 PDT for package app-crypt/gnupg-2.0.17:

LOG: postinst
If you wish to view images emerge:
media-gfx/xloadimage, media-gfx/xli or any other viewer
Remember to use photo-viewer option in configuration file to activate
the right viewer.
WARN: postinst
Please remember to restart gpg-agent if a different version
of the agent is currently used. If you are unsure of the gpg
agent you are using please run 'killall gpg-agent',
and to start a fresh daemon just run 'gpg-agent --daemon'.

>>> Messages generated by process 7263 on 2011-11-02 17:06:58 PDT for package mail-client/thunderbird-7.0.1-r1:

LOG: setup
You are enabling official branding. You may not redistribute this build
to any users on your network or the internet. Doing so puts yourself into
a legal problem with Mozilla Foundation
You can disable it by emerging thunderbird _with_ the bindist USE-flag

ERROR: configure
ERROR: mail-client/thunderbird-7.0.1-r1 failed (configure phase):
econf failed

Call stack:
ebuild.sh, line 56: Called src_configure
environment, line 6279: Called econf
ebuild.sh, line 561: Called die
The specific snippet of code:
die "econf failed"

If you need support, post the output of 'emerge --info =mail-client/thunderbird-7.0.1-r1',
the complete build log and the output of 'emerge -pqv =mail-client/thunderbird-7.0.1-r1'.
The complete build log is located at '/var/tmp/portage/mail-client/thunderbird-7.0.1-r1/temp/build.log'.
The ebuild environment file is located at '/var/tmp/portage/mail-client/thunderbird-7.0.1-r1/temp/environment'.
S: '/var/tmp/portage/mail-client/thunderbird-7.0.1-r1/work/comm-release'


>>> Messages generated by process 13606 on 2011-11-02 18:16:13 PDT for package mail-client/thunderbird-7.0.1-r1:

LOG: setup
You are enabling official branding. You may not redistribute this build
to any users on your network or the internet. Doing so puts yourself into
a legal problem with Mozilla Foundation
You can disable it by emerging thunderbird _with_ the bindist USE-flag

ERROR: configure
ERROR: mail-client/thunderbird-7.0.1-r1 failed (configure phase):
econf failed

Call stack:
ebuild.sh, line 56: Called src_configure
environment, line 6279: Called econf
ebuild.sh, line 561: Called die
The specific snippet of code:
die "econf failed"

If you need support, post the output of 'emerge --info =mail-client/thunderbird-7.0.1-r1',
the complete build log and the output of 'emerge -pqv =mail-client/thunderbird-7.0.1-r1'.
The complete build log is located at '/var/tmp/portage/mail-client/thunderbird-7.0.1-r1/temp/build.log'.
The ebuild environment file is located at '/var/tmp/portage/mail-client/thunderbird-7.0.1-r1/temp/environment'.
S: '/var/tmp/portage/mail-client/thunderbird-7.0.1-r1/work/comm-release'


>>> Messages generated by process 22701 on 2011-11-02 18:50:05 PDT for package x11-drivers/nvidia-drivers-285.05.09-r1:

LOG: postinst
You must be in the video group to use the NVIDIA device
For more info, read the docs at
http://www.gentoo.org/doc/en/nvidia-guide.xml#doc_chap3_sect6

This ebuild installs a kernel module and X driver. Both must
match explicitly in their version. This means, if you restart
X, you must modprobe -r nvidia before starting it back up

To use the NVIDIA GLX, run "eselect opengl set nvidia"

NVIDIA has requested that any bug reports submitted have the
output of /usr/bin/nvidia-bug-report.sh included.

To work with compiz, you must enable the AddARGBGLXVisuals option.

If you are having resolution problems, try disabling DynamicTwinView.


>>> Messages generated by process 27514 on 2011-11-02 19:23:58 PDT for package mail-client/thunderbird-7.0.1-r1:

LOG: setup
You are enabling official branding. You may not redistribute this build
to any users on your network or the internet. Doing so puts yourself into
a legal problem with Mozilla Foundation
You can disable it by emerging thunderbird _with_ the bindist USE-flag
LOG: install
Fallback PaX marking -m
/var/tmp/portage/mail-client/thunderbird-7.0.1-r1/image///usr/lib64/thunderbird/thunderbird-bin

>>> Messages generated by process 2451 on 2011-11-02 23:13:44 PDT for package dev-libs/icu-4.8.1-r2:

ERROR: unpack
Fetch failed for 'dev-libs/icu-4.8.1-r2', Log file:
'/var/tmp/portage/dev-libs/icu-4.8.1-r2/temp/build.log'

>>> Messages generated by process 2557 on 2011-11-03 01:06:22 PDT for package www-client/chromium-15.0.874.102:

LOG: setup
bindist disabled: Resulting binaries may not be legal to re-distribute.
LOG: compile
Fallback PaX marking -m
out/Release/chrome
LOG: postinst

Depending on your desktop environment, you may need
to install additional packages to get icons on the Downloads page.

For KDE, the required package is kde-base/oxygen-icons.

For other desktop environments, try one of the following:
- x11-themes/gnome-icon-theme
- x11-themes/tango-icon-theme

Some web pages may require additional fonts to display properly.
Try installing some of the following packages if some characters
are not displayed properly:
- media-fonts/arphicfonts
- media-fonts/bitstream-cyberbit
- media-fonts/droid
- media-fonts/ipamonafont
- media-fonts/ja-ipafonts
- media-fonts/takao-fonts
- media-fonts/wqy-microhei
- media-fonts/wqy-zenhei

>>> Messages generated by process 7981 on 2011-11-03 01:19:52 PDT for package net-libs/neon-0.29.6:

WARN: postinst
Neon has a policy of breaking API across minor versions, this means
that any package that links against Neon may be broken after
updating. They will remain broken until they are ported to the
new API. You can downgrade Neon to the previous version by doing:

emerge --oneshot '<net-libs/neon-0.29'

You may also have to downgrade any package that has not been
ported to the new API yet.

>>> Messages generated by process 7981 on 2011-11-03 01:27:49 PDT for package app-emulation/virtualbox-modules-4.1.4:

LOG: postinst
Starting with the 3.x release new kernel modules were added,
be sure to load all the needed modules.

Please add "vboxdrv", "vboxnetflt" and "vboxnetadp" to:
/etc/conf.d/modules

>>> Messages generated by process 7981 on 2011-11-03 01:28:50 PDT for package dev-java/icedtea-bin-1.10.4:

LOG: install
A revdep-rebuild control file was installed to prevent reinstalls due to
missing dependencies (see bug #177925 for more info). Note that some parts
of the JVM may require dependencies that are pulled only through respective
USE flags (typically X, alsa, odbc) and some Java code may fail without them.

>>> Messages generated by process 7981 on 2011-11-03 01:30:33 PDT for package dev-java/ant-core-1.8.1:

LOG: postinst
The way of packaging ant in Gentoo has changed significantly since
the 1.7.0 version, For more information, please see:
http://www.gentoo.org/proj/en/java/ant-guide.xml

Since 1.7.1, the ant-tasks meta-ebuild has been removed and its USE
flags have been moved to dev-java/ant.

>>> Messages generated by process 7981 on 2011-11-03 01:36:20 PDT for package dev-vcs/subversion-1.6.17-r7:

WARN: postinst
If you run subversion as a daemon, you will need to restart it to avoid module mismatches.

>>> Messages generated by process 7981 on 2011-11-03 01:51:23 PDT for package app-emulation/virtualbox-4.1.4:

LOG: install
Fallback PaX marking -m
/var/tmp/portage/app-emulation/virtualbox-4.1.4/image//usr/lib64/virtualbox/VBoxSDL
Fallback PaX marking -m
/var/tmp/portage/app-emulation/virtualbox-4.1.4/image//usr/lib64/virtualbox/VBoxHeadless
LOG: postinst
You must be in the vboxusers group to use VirtualBox.

The latest user manual is available for download at:
http://download.virtualbox.org/virtualbox/4.1.4/UserManual.pdf

For advanced networking setups you should emerge:
net-misc/bridge-utils and sys-apps/usermode-utilities

IMPORTANT!
If you upgrade from app-emulation/virtualbox-ose make sure to run
"env-update" as root and logout and relogin as the user you wish
to run virtualbox as.

Starting with version 4.0.0, virtualbox has USB-1 support.
For USB-2 support, PXE-boot ability and VRDP support please emerge
app-emulation/virtualbox-extpack-oracle
package.

>>> Messages generated by process 1755 on 2011-11-03 10:47:05 PDT for package x11-libs/qt-gui-4.7.2:

WARN: setup
WARNING: if you need 'qtconfig', you _must_ enable qt3support.

>>> Messages generated by process 1755 on 2011-11-03 11:15:01 PDT for package app-emulation/virtualbox-4.1.4:

LOG: install
Fallback PaX marking -m
/var/tmp/portage/app-emulation/virtualbox-4.1.4/image//usr/lib64/virtualbox/VBoxSDL
Fallback PaX marking -m
/var/tmp/portage/app-emulation/virtualbox-4.1.4/image//usr/lib64/virtualbox/VBoxHeadless
Fallback PaX marking -m
/var/tmp/portage/app-emulation/virtualbox-4.1.4/image//usr/lib64/virtualbox/VirtualBox
LOG: postinst
To launch VirtualBox just type: "VirtualBox".
You must be in the vboxusers group to use VirtualBox.

The latest user manual is available for download at:
http://download.virtualbox.org/virtualbox/4.1.4/UserManual.pdf

For advanced networking setups you should emerge:
net-misc/bridge-utils and sys-apps/usermode-utilities

IMPORTANT!
If you upgrade from app-emulation/virtualbox-ose make sure to run
"env-update" as root and logout and relogin as the user you wish
to run virtualbox as.

Starting with version 4.0.0, virtualbox has USB-1 support.
For USB-2 support, PXE-boot ability and VRDP support please emerge
app-emulation/virtualbox-extpack-oracle
package.

>>> Messages generated by process 11739 on 2011-11-03 12:15:21 PDT for package app-admin/conky-1.8.1-r4:

LOG: postinst
You can find a sample configuration file at /etc/conky/conky.conf.
To customize, copy it to ~/.conkyrc and edit it to your liking.

For more info on Conky's features please look at the Changelog in
/usr/share/doc/conky-1.8.1-r4. There are also pretty html docs available
on Conky's site or in /usr/share/doc/conky-1.8.1-r4/html.

Also see http://www.gentoo.org/doc/en/conky-howto.xml


>>> Messages generated by process 6524 on 2011-11-03 14:34:02 PDT for package net-print/cups-1.4.8-r1:

LOG: postinst
For information about installing a printer and general cups setup
take a look at: http://www.gentoo.org/doc/en/printing-howto.xml

>>> Messages generated by process 6524 on 2011-11-03 14:36:46 PDT for package net-fs/samba-3.5.11:

LOG: postinst
The default value of 'wide links' has been changed to 'no' in samba 3.5
to avoid an insecure default configuration
('wide links = yes' and 'unix extensions = yes'). For more details,
please see http://www.samba.org/samba/news/symlink_attack.html .

An EXPERIMENTAL implementation of the SMB2 protocol has been added.
SMB2 can be enabled by setting 'max protocol = smb2'. SMB2 is a new
implementation of the SMB protocol used by Windows Vista and higher

For further information make sure to read the release notes at
http://samba.org/samba/history/samba-3.5.11.html and
http://samba.org/samba/history/samba-3.5.0.html

>>> Messages generated by process 6524 on 2011-11-03 14:37:15 PDT for package gnome-base/gvfs-1.6.7-r1:

WARN: postinst
In order to use the new gvfs services, please reload dbus configuration
You may need to log out and log back in for some changes to take effect

>>> Messages generated by process 31549 on 2011-11-03 14:40:03 PDT for package dev-util/valgrind-3.6.1-r1:

LOG: install
Fallback PaX marking -m
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/cachegrind-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/cachegrind-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/callgrind-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/callgrind-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/drd-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/drd-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/exp-bbv-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/exp-bbv-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/exp-dhat-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/exp-dhat-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/exp-ptrcheck-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/exp-ptrcheck-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/helgrind-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/helgrind-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/lackey-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/lackey-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/massif-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/massif-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/memcheck-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/memcheck-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/none-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/none-x86-linux
WARN: postinst
Valgrind will not work on ppc, ppc64 or amd64 if glibc does not have
debug symbols (see https://bugs.gentoo.org/show_bug.cgi?id=214065
and http://bugs.gentoo.org/show_bug.cgi?id=274771).
To fix this you can add splitdebug to FEATURES in make.conf and
remerge glibc.

>>> Messages generated by process 11200 on 2011-11-03 15:00:14 PDT for package sys-libs/glibc-2.12.2:

WARN: postinst
Generating all locales; edit /etc/locale.gen to save time/space

>>> Messages generated by process 11200 on 2011-11-03 15:01:39 PDT for package dev-util/valgrind-3.6.1-r1:

LOG: install
Fallback PaX marking -m
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/cachegrind-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/cachegrind-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/callgrind-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/callgrind-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/drd-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/drd-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/exp-bbv-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/exp-bbv-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/exp-dhat-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/exp-dhat-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/exp-ptrcheck-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/exp-ptrcheck-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/helgrind-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/helgrind-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/lackey-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/lackey-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/massif-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/massif-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/memcheck-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/memcheck-x86-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/none-amd64-linux
/var/tmp/portage/dev-util/valgrind-3.6.1-r1/image//usr/lib64/valgrind/none-x86-linux
WARN: postinst
Valgrind will not work on ppc, ppc64 or amd64 if glibc does not have
debug symbols (see https://bugs.gentoo.org/show_bug.cgi?id=214065
and http://bugs.gentoo.org/show_bug.cgi?id=274771).
To fix this you can add splitdebug to FEATURES in make.conf and
remerge glibc.

>>> Messages generated by process 22030 on 2011-11-03 15:31:37 PDT for package x11-misc/pcmanfm-0.9.9:

LOG: postinst
PCmanFM can optionally support the menu://applications/ location.
You should install lxde-base/lxmenu-data for that functionality.

>>> Messages generated by process 9725 on 2011-11-03 16:35:29 PDT for package sys-fs/fuse-2.8.5:

ERROR: setup
CONFIG_FUSE_FS: is not set when it should be.
WARN: setup
Please check to make sure these options are set correctly.
Failure to do so may cause unexpected problems.

>>> Messages generated by process 9725 on 2011-11-03 16:35:49 PDT for package sys-fs/ntfs3g-2011.4.12:

ERROR: setup
CONFIG_FUSE_FS: is not set when it should be.
WARN: setup
Please check to make sure these options are set correctly.
Failure to do so may cause unexpected problems.

>>> Messages generated by process 2709 on 2011-11-03 16:39:48 PDT for package x11-drivers/nvidia-drivers-285.05.09-r1:

LOG: postinst
You must be in the video group to use the NVIDIA device
For more info, read the docs at
http://www.gentoo.org/doc/en/nvidia-guide.xml#doc_chap3_sect6

This ebuild installs a kernel module and X driver. Both must
match explicitly in their version. This means, if you restart
X, you must modprobe -r nvidia before starting it back up

To use the NVIDIA GLX, run "eselect opengl set nvidia"

NVIDIA has requested that any bug reports submitted have the
output of /usr/bin/nvidia-bug-report.sh included.

To work with compiz, you must enable the AddARGBGLXVisuals option.

If you are having resolution problems, try disabling DynamicTwinView.


>>> Messages generated by process 7110 on 2011-11-03 16:41:17 PDT for package app-emulation/virtualbox-modules-4.1.4:

LOG: postinst
Starting with the 3.x release new kernel modules were added,
be sure to load all the needed modules.

Please add "vboxdrv", "vboxnetflt" and "vboxnetadp" to:
/etc/conf.d/modules

>>> Messages generated by process 6913 on 2011-11-03 17:22:31 PDT for package dev-vcs/subversion-1.6.17-r7:

WARN: postinst
If you run subversion as a daemon, you will need to restart it to avoid module mismatches.

>>> Messages generated by process 30682 on 2011-11-03 18:13:11 PDT for package app-misc/screen-4.0.3-r4:

LOG: postinst
Some dangerous key bindings have been removed or changed to more safe values.
We enable some xterm hacks in our default screenrc, which might break some
applications. Please check /etc/screenrc for information on these changes.

>>> Messages generated by process 1473 on 2011-11-03 18:17:37 PDT for package dev-libs/libcdio-0.82:

WARN: postinst
If you've upgraded from a previous version of libcdio, you may need to re-emerge
packages that linked against libcdio (vlc, vcdimager and more) by running:
revdep-rebuild

>>> Messages generated by process 1473 on 2011-11-03 18:34:02 PDT for package sys-devel/gcc-4.5.3-r1:

WARN: postinst
If you have issues with packages unable to locate libstdc++.la,
then try running 'fix_libtool_files.sh' on the old gcc versions.
You might want to review the GCC upgrade guide when moving between
major versions (like 4.2 to 4.3):
http://www.gentoo.org/doc/en/gcc-upgrading.xml

>>> Messages generated by process 1473 on 2011-11-03 18:36:55 PDT for package dev-vcs/git-1.7.3.4-r1:

LOG: postinst
These additional scripts need some dependencies:
git-quiltimport : dev-util/quilt
git-instaweb : || ( www-servers/lighttpd www-servers/apache )

>>> Messages generated by process 1473 on 2011-11-03 19:07:49 PDT for package www-client/chromium-15.0.874.102:

LOG: setup
bindist disabled: Resulting binaries may not be legal to re-distribute.
LOG: compile
Fallback PaX marking -m
out/Release/chrome
LOG: postinst

Depending on your desktop environment, you may need
to install additional packages to get icons on the Downloads page.

For KDE, the required package is kde-base/oxygen-icons.

For other desktop environments, try one of the following:
- x11-themes/gnome-icon-theme
- x11-themes/tango-icon-theme

Some web pages may require additional fonts to display properly.
Try installing some of the following packages if some characters
are not displayed properly:
- media-fonts/arphicfonts
- media-fonts/bitstream-cyberbit
- media-fonts/droid
- media-fonts/ipamonafont
- media-fonts/ja-ipafonts
- media-fonts/takao-fonts
- media-fonts/wqy-microhei
- media-fonts/wqy-zenhei

>>> Messages generated by process 1473 on 2011-11-03 19:08:58 PDT for package sys-auth/polkit-0.102:

WARN: postinst
If you don't use GDM or KDM for logging in,
you must start your desktop environment (DE) as follows:
ck-launch-session $STARTGUI
Where $STARTGUI is a DE-starting command such as 'gnome-session'.
You should add this to your ~/.xinitrc if you use startx.

>>> Messages generated by process 1473 on 2011-11-03 19:16:04 PDT for package app-text/poppler-0.16.7:

WARN: postinst
After upgrading app-text/poppler you may need to reinstall packages
linking to it. If you're not a portage-2.2_rc user, you're advised
to run revdep-rebuild

>>> Messages generated by process 1473 on 2011-11-03 19:23:34 PDT for package gnome-base/nautilus-2.32.2.1-r1:

LOG: postinst
nautilus can use gstreamer to preview audio files. Just make sure
to have the necessary plugins available to play the media type you
want to preview

>>> Messages generated by process 1473 on 2011-11-03 19:25:28 PDT for package gnome-base/gvfs-1.6.7-r1:

WARN: postinst
In order to use the new gvfs services, please reload dbus configuration
You may need to log out and log back in for some changes to take effect

>>> Messages generated by process 25106 on 2011-11-03 19:32:29 PDT for package gnome-base/gnome-menus-2.30.5:

WARN: postinst
Due to bug #256614, you might lose icons in applications menus.
If you use a login manager, please re-select your session.
If you use startx and have no .xinitrc, just export XSESSION=Gnome.
If you use startx and have .xinitrc, export XDG_MENU_PREFIX=gnome-.

>>> Messages generated by process 25106 on 2011-11-03 19:36:14 PDT for package media-libs/gst-plugins-good-0.10.30:

LOG: postinst
The Gstreamer plugins setup has changed quite a bit on Gentoo,
applications now should provide the basic plugins needed.
The new seperate plugins are all named 'gst-plugins-<plugin>'.
To get a listing of currently available plugins execute 'emerge -s gst-plugins-'.
In most cases it shouldn't be needed though to emerge extra plugins.

>>> Messages generated by process 25106 on 2011-11-03 20:04:53 PDT for package app-arch/file-roller-2.32.2:

LOG: postinst
file-roller is a frontend for several archiving utilities. If you want a
particular achive format support, see http://fileroller.sourceforge.net/
and install the relevant package.

for example:
7-zip - app-arch/p7zip
ace - app-arch/unace
arj - app-arch/arj
cpio - app-arch/cpio
deb - app-arch/dpkg
iso - app-cdr/cdrtools
jar,zip - app-arch/zip and app-arch/unzip
lha - app-arch/lha
lzma - app-arch/xz-utils
lzop - app-arch/lzop
rar - app-arch/unrar
rpm - app-arch/rpm
unstuff - app-arch/stuffit
zoo - app-arch/zoo

>>> Messages generated by process 25106 on 2011-11-03 20:18:00 PDT for package x11-misc/xdg-user-dirs-gtk-0.8-r1:

LOG: postinst

This package tries to automatically use some sensible default
directories for you documents, music, video and other stuff

If you want to change those directories to your needs, see
the settings in ~/.config/user-dir.dirs


>>> Messages generated by process 25106 on 2011-11-03 20:24:21 PDT for package app-text/enchant-1.6.0:

WARN: postinst
Starting with enchant-1.4.0 default spell checking engine has changed
from aspell to hunspell. In case you used aspell dictionaries to
check spelling you need either reemerge enchant with aspell USE flag
or you need to emerge myspell-<lang> dictionaries.
aspell is faster but has less features then hunspell and most
distributions by default use hunspell only. Nevertheless in Gentoo
it's still your choice which library to use...

>>> Messages generated by process 25106 on 2011-11-03 20:58:13 PDT for package gnome-base/gnome-settings-daemon-2.32.1-r2:

LOG: setup
Building volume media keys using GStreamer
LOG: postinst
GStreamer volume control support is a feature powered by Gentoo GNOME Team
PLEASE DO NOT report bugs upstream, report on https://bugs.gentoo.org instead

>>> Messages generated by process 25106 on 2011-11-03 21:02:16 PDT for package dev-python/libwnck-python-2.32.0:

ERROR: setup
ERROR: dev-python/libwnck-python-2.32.0 failed (setup phase):
filter-bash-environment.py failed

Call stack:
ebuild.sh, line 2408: Called filter_readonly_variables '--filter-features'
ebuild.sh, line 1864: Called die
The specific snippet of code:
"${PORTAGE_PYTHON:-/usr/bin/python}" "${PORTAGE_BIN_PATH}"/filter-bash-environment.py "${filtered_vars}" || die "filter-bash-environment.py failed"

If you need support, post the output of 'emerge --info =dev-python/libwnck-python-2.32.0',
the complete build log and the output of 'emerge -pqv =dev-python/libwnck-python-2.32.0'.
The complete build log is located at '/var/tmp/portage/dev-python/libwnck-python-2.32.0/temp/build.log'.
The ebuild environment file is located at '/var/tmp/portage/dev-python/libwnck-python-2.32.0/temp/environment'.
S: '/var/tmp/portage/dev-python/libwnck-python-2.32.0/work/gnome-python-desktop-2.32.0'


>>> Messages generated by process 19158 on 2011-11-03 21:09:12 PDT for package gnome-extra/gnome-media-2.32.0-r1:

WARN: postinst

If you cannot play some music format, please check your
USE flags on media-plugins/gst-plugins-meta


>>> Messages generated by process 19158 on 2011-11-03 21:42:14 PDT for package mail-client/evolution-2.32.3:

LOG: postinst
To change the default browser if you are not using GNOME, edit
~/.local/share/applications/mimeapps.list so it includes the
following content:

[Default Applications]
x-scheme-handler/http=firefox.desktop
x-scheme-handler/https=firefox.desktop

(replace firefox.desktop with the name of the appropriate .desktop
file from /usr/share/applications if you use a different browser).

Junk filters are now a run-time choice. You will get a choice of
bogofilter or spamassassin based on which you have installed

You have to install one of these for the spam filtering to actually work

>>> Messages generated by process 19158 on 2011-11-03 22:17:02 PDT for package dev-lang/python-3.1.4-r3:

LOG: postinst

If you want to help in testing of recent changes in Python, then you can use
snapshots of Python from python overlay.


>>> Messages generated by process 19158 on 2011-11-03 22:19:24 PDT for package gnome-extra/gnome-screensaver-2.30.2-r1:

LOG: postinst
Information for converting screensavers is located in
/usr/share/doc/gnome-screensaver-2.30.2-r1/xss-conversion.txt.

>>> Messages generated by process 19158 on 2011-11-03 22:21:24 PDT for package net-misc/vino-2.32.2:

LOG: postinst
If you are getting refresh problems when using special 3D effects,
try disabling XDamage extension. For that, you can run the following:
gconftool-2 --type boolean --set /desktop/gnome/remote_access/disable_xdamage true
This is due http://bugs.freedesktop.org/12255

>>> Messages generated by process 19158 on 2011-11-03 22:25:37 PDT for package gnome-base/gdm-2.20.11-r1:

LOG: postinst
To make GDM start at boot, edit /etc/conf.d/xdm
and then execute 'rc-update add xdm default'.
GDM has changed the location of its configuration file. Please
edit /etc/X11/gdm/custom.conf. The factory defaults are located
at /usr/share/gdm/{defaults.conf,factory-defaults.conf}
See README.install for more information about the change.

>>> Messages generated by process 19158 on 2011-11-04 00:26:31 PDT for package net-libs/xulrunner-1.9.2.20:

LOG: install
Fallback PaX marking -m
/var/tmp/portage/net-libs/xulrunner-1.9.2.20/image///usr/lib64/xulrunner-1.9.2/plugin-container
WARN: postinst
If firefox fails to start with "failed to load xpcom", run revdep-rebuild
If that does not fix the problem, rebuild dev-libs/nss
Try dev-util/lafilefixer if you get build failures related to .la files
Any package that requires xulrunner:1.9 slot could and most likely will
have issues. These issues should be reported to maintainer, and mozilla herd
should be cc'd on the bug report. Thank you anarchy@gentoo.org .

>>> Messages generated by process 19158 on 2011-11-04 00:43:32 PDT for package gnome-extra/gnome-games-2.28.2:

WARN: setup
USE='-guile' implies that Aisleriot won't be installed
WARN: postinst
Remember, in order to play games, you have to
be in the 'games' group.
Just run 'gpasswd -a <USER> games', then have <USER> re-login.

>>> Messages generated by process 19158 on 2011-11-04 00:50:54 PDT for package media-video/totem-2.32.0-r2:

WARN: postinst

If totem doesn't play some video format, please check your
USE flags on media-plugins/gst-plugins-meta


>>> Messages generated by process 19158 on 2011-11-04 00:58:41 PDT for package app-cdr/dvd+rw-tools-7.1-r1:

LOG: postinst
When you run growisofs if you receive:
unable to anonymously mmap 33554432: Resource temporarily unavailable
error message please run 'ulimit -l unlimited'

>>> Messages generated by process 19158 on 2011-11-04 01:05:01 PDT for package app-cdr/brasero-2.32.1:

LOG: postinst
If brasero doesn't handle some music or video format, please check
your USE flags on media-plugins/gst-plugins-meta

>>> Messages generated by process 19158 on 2011-11-04 01:06:18 PDT for package media-sound/sound-juicer-2.32.0-r1:

WARN: postinst
If sound-juicer does not rip to some music format, please check your
USE flags on media-plugins/gst-plugins-meta

>>> Messages generated by process 19158 on 2011-11-04 01:06:26 PDT for package gnome-base/gnome-2.32.1-r1:

LOG: postinst
The main file alteration monitoring functionality is
provided by >=glib-2.16. Note that on a modern Linux system
you do not need the USE=fam flag on it if you have inotify
support in your linux kernel ( >=2.6.13 ) enabled.
USE=fam on glib is however useful for other situations,
such as Gentoo/FreeBSD systems. A global USE=fam can also
be useful for other packages that do not use the new file
monitoring API yet that the new glib provides.

WARN: postinst
If you are running gtk3 apps inside Gnome2 desktop you will
need to follow one of the following steps to get a better
look and feel for them:
- Use gnome-appearance-properties to select a theme with
support for gtk2 and gtk3, like Adwaita.
- Symlink your local ~/.config/gtk-3.0 to the gtk3 theme
you would like to use, for example running:
$ ln -s /usr/share/themes/Adwaita/gtk-3.0/ .config/gtk-3.0

>>> Messages generated by process 1444 on 2011-11-04 10:56:57 PDT for package dev-util/boost-build-1.46.1:

ERROR: unpack
Fetch failed for 'dev-util/boost-build-1.46.1', Log file:
'/var/tmp/portage/dev-util/boost-build-1.46.1/temp/build.log'

>>> Messages generated by process 31185 on 2011-11-04 17:26:10 PDT for package dev-java/antlr-3.1.3-r2:

LOG: postinst
Currently the ebuild only has support for the Java backend.

>>> Messages generated by process 4146 on 2011-11-04 23:38:13 PDT for package sys-libs/timezone-data-2011l:

LOG: postinst
You do not have TIMEZONE set in /etc/timezone.
Skipping auto-update of /etc/localtime.

>>> Messages generated by process 4146 on 2011-11-04 23:40:27 PDT for package dev-lang/python-2.7.2-r3:

LOG: postinst

If you want to help in testing of recent changes in Python, then you can use
snapshots of Python from python overlay.


>>> Messages generated by process 4146 on 2011-11-04 23:42:00 PDT for package gnome-base/gnome-settings-daemon-2.32.1-r2:

LOG: setup
Building volume medi
Back to top
View user's profile Send private message
Spanik
Guru
Guru


Joined: 12 Dec 2003
Posts: 515
Location: Belgium

PostPosted: Tue Jan 10, 2012 9:18 pm    Post subject: Reply with quote

Well, the thing is not only reading the elog but making sense of it. I'm sorry but very often I get messages that I really don't understand. And often there is very little help on them either (or it just as incomprehensible as the original message).
_________________
Expert in non-working solutions
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum